LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDrawView Interface Referencepublished

is implemented by views that display DrawPages or MasterPages. More...

`import "XDrawView.idl";`

Inheritance diagram for XDrawView:

## Public Member Functions
void | setCurrentPage ([in] com::sun::star::drawing::XDrawPage xPage)
| changes the current page.
com::sun::star::drawing::XDrawPage | getCurrentPage ()
| returns the current page.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is implemented by views that display DrawPages or MasterPages.

## Member Function Documentation

## ◆ getCurrentPage()

com::sun::star::drawing::XDrawPage getCurrentPage | ( |  | ) |

returns the current page.

Returns
  the DrawPage or MasterPage that is currently displayed.

## ◆ setCurrentPage()

void setCurrentPage | ( | [in] com::sun::star::drawing::XDrawPage | xPage | ) |

changes the current page.

Parameters

  xPage | this DrawPage or MasterPage will be displayed inside this view.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawView.idl